import termcolor
import re
import sys

prefix = sys.argv[1] if len(sys.argv) > 1 else None
pacman_colors = dict()
pacman_attrs = dict()

def add_color_attr(field, color, *attrs):
    pacman_colors[field] = color
    pacman_attrs[field] = attrs

add_color_attr("==>", "green", "bold")
add_color_attr("->", "blue", "bold")

for line in sys.stdin:
    if prefix:
        print(prefix, end=" ")
    if "==>" in line or "->" in line:
        for part in re.split(r'(\s+)', line):
            color = pacman_colors.get(part, "white")
            attrs = pacman_attrs.get(part, ["bold"])

            termcolor.cprint(part, color, attrs=attrs, end="")
    else:
        print(line, end="")
