#!/bin/zsh

BIN=$HOME/bin
SCRIPTS=(grub-list.zsh setup.zsh setup/ run/)

function install_script() {
	ssh $1 mkdir -p bin/{setup,run}
	echo -n "$2 Copying files ..."
	for script in $SCRIPTS; do
		scp -qr $BIN/$script $1:bin/
	done
	ssh $1 cp bin/setup.zsh bin/run.zsh
	echo " done"
}

tags=($(python $BIN/colors/vm.py $*))
for ((i=1; i<=${#@}; i++)); do
	install_script ${@[i]} ${tags[i]}
done
