#!/bin/zsh

zparseopts -D -K -server:=SERVER -opts:=OPTS -user:=USER \
		 -export:=EXPORT -mountpoint:=MOUNTPOINT \
		 -scratch:=SCRATCH -scratchmnt:=SCRATCHMNT \
		 -proto:=PROTO -version:=VERSION

xdir=$(echo "nfsv${VERSION[-1]}${PROTO[-1]}" | sed 's/\.//' | sed 's/v40/v4/')

cd /home/${USER[-1]}/xfstests-dev
export TEST_DEV=${SERVER[-1]}:${EXPORT[-1]}/${USER[-1]}/$xdir
export TEST_DIR=${MOUNTPOINT[-1]}/$xdir
export SCRATCH_DEV=${SERVER[-1]}:${SCRATCH[-1]}/${USER[-1]}/$xdir
export SCRATCH_MNT=${SCRATCHMNT[-1]}/$xdir
export NFS_MOUNT_OPTIONS="-o proto=${PROTO[-1]},v${VERSION[-1]},${OPTS[-1]}"
export RESULT_BASE=/home/${USER[-1]}/xfstests-dev/results/${PROTO[-1]}/${VERSION[-1]}

mkdir -p $TEST_DIR
mkdir -p $SCRATCH_MNT
[ -e local.config ] && rm -f local.config
[ -e $RESULT_BASE/result.xml ] && rm -f $RESULT_BASE/result.xml

echo "TIME          -- $(date)"
echo "TEST_DEV      -- $TEST_DEV"
echo "TEST_DIR      -- $TEST_DIR"
echo "SCRATCH_DEV   -- $SCRATCH_DEV"
echo "SCRATCH_MNT   -- $SCRATCH_MNT"
echo "MOUNT_OPTIONS -- $NFS_MOUNT_OPTIONS"

if [ ! -z "$*" ]; then
	echo "XFSTESTS_ARGS -- $*"
fi

./check -nfs -r -R xunit $*
#./check -nfs -R xunit $*
